#!/bin/bash
# ##################################################################
# ### copyright 2002 Compaq Information Technologies Group, L.P. ###
# ##################################################################

# ********************************************************
# ** log_msg                                            **
# ********************************************************
# ** This routine will log a message to the screen and  **
# ** to our error log.                                  **
# ********************************************************
function log_msg() {
   echo "$*" >> /opt/compaq/cpqhealth/cpqhealth_boot.log 
   echo "$*"
}


# ********************************************************
# ** MAIN                                               **
# ********************************************************
# ** This is the main routine of the shell script       **
# ********************************************************

MY_DATE=`date`
THIS_KERNEL=`uname -r`
CPQEVT=/opt/compaq/cpqhealth/cpqevt/${THIS_KERNEL}/cpqevt.o

if [ ! -d /opt/compaq/cpqhealth/cpqevt/${THIS_KERNEL} ]
then
   log_msg "Creating directory \"/opt/compaq/cpqhealth/cpqevt/${THIS_KERNEL}\" "
   mkdir -p /opt/compaq/cpqhealth/cpqevt/${THIS_KERNEL} 
fi

log_msg "Replacing ${CPQEVT} at ${MY_DATE} . . ."
cp cpqevt.o ${CPQEVT}

log_msg "Custom cpqevt Driver installed  . . ."

log_msg "Reloading the hp ProLiant Advanced Server Management Event module . . ."
if eval "insmod -p ${CPQEVT}" >>/opt/compaq/cpqhealth/cpqhealth_boot.log 2>&1

then 
	/sbin/insmod ${CPQEVT} >>/opt/compaq/cpqhealth/cpqhealth_boot.log 2>&1
	exit 0 
else
	echo -e "\n"
	log_msg "WARNING!  The cpqhealth RPM is not compatible with this kernel."
	log_msg "          Remove and install again the cpqhealth RPM to correct."
	log_msg "          See /opt/compaq/cpqhealth/cpqhealth_boot.log for details."
	exit 1 
fi

