#/bin/bash
#
# Insert an info file and supporting files into an initird image.
#
# Usage: makeimg.sh my.info
#
# The above command would stuff my.info into an initrd file
# named my.img. In addition, the following files will be
# added to the initrd:
#	*.ptt		(disk partition settings)
#	*pre.sh		(pre install scripts)
#	*post.sh	(post install scripts)
#	drivers/*.o	(drivers not in base SuSE product)
#	sfdisk		(utility used by special pre scripts)
#
# The starting point for the initrd file is always initdisk.gz,
# which comes directly from SuSE CD #1.
#

if [ ! -f $1 ]; then
   echo; echo "ERROR: Info file $1 does not exist."; echo
   exit 60
fi

initrdfile=$(echo $1 | sed -e "s/\.info//").img
echo -n "Building $initrdfile..."
rm -f $initrdfile
if [ ! -d ramdisk ]; then
   mkdir ramdisk
fi
zcat initdisk.gz > $initrdfile
mount -o loop $initrdfile ramdisk
cp $1 ramdisk/info
cp *.ptt ramdisk
cp *post.sh ramdisk
cp *pre.sh ramdisk
chmod +x sfdisk
cp sfdisk ramdisk
chmod +x lspci
cp lspci ramdisk
cp drivers/*.o ramdisk/modules
sync
umount ramdisk
gzip -9 $initrdfile
mv $initrdfile.gz $initrdfile
echo "Done!"

